> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Contractor Deduction Template

> Delete a contractor deduction template by deductionTemplateID.



## OpenAPI

````yaml openapi/zeal-api.json delete /contractor-deduction-templates
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /contractor-deduction-templates:
    delete:
      summary: Delete Contractor Deduction Template
      operationId: delete-contractor-payment-1
      parameters:
        - name: companyID
          in: query
          description: ID of the company
          required: true
          schema:
            type: string
        - name: deductionTemplateID
          in: query
          description: ID of the corresponding deduction template
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - message: Contractor deduction template deleted.
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Contractor Payment(s) deleted
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Contractor deduction template not found.
                        code:
                          type: integer
                          example: 135
                          default: 0
              examples:
                Not Found:
                  summary: Not Found
                  value:
                    success: false
                    errors:
                      - message: Contractor deduction template not found.
                        code: 135
          description: Not Found
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````